Bug 1255876 - Failed to plug disk DISKNAME to VM VMNAME
Failed to plug disk DISKNAME to VM VMNAME
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.5.3
x86_64 Linux
high Severity high
: ovirt-3.6.0-rc3
: 3.6.0
Assigned To: Amit Aviram
Aharon Canan
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-21 14:31 EDT by Robert McSwain
Modified: 2016-02-10 14:28 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-29 05:59:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert McSwain 2015-08-21 14:31:56 EDT
Description of problem:
Getting "Failed to plug disk DISKNAME to VM VMNAME" in the RHEV-M GUI for this 

 2015-08-06 05:20:21.719+00 | 43618f62       | Failed to plug disk bc2_rlx1011_u11_2 to VM rlx2011 (User: admin@internal).
 2015-08-07 10:56:24.97+00  | 66e829         | Failed to plug disk bc2_rlx1012_u11 to VM rlx2012 (User: admin@internal).
 2015-08-07 13:42:04.311+00 | 7d4d855        | Failed to plug disk bc2_rlx1012_u11 to VM rlx2012 (User: admin@internal).
 2015-08-07 13:47:40.979+00 | 5aaa2784       | Failed to plug disk bc2_rlx1012_u11 to VM rlx2012 (User: admin@internal).
 2015-08-07 13:47:55.345+00 | 5ae7f787       | Failed to plug disk bc2_rlx1012_u11 to VM rlx2012 (User: admin@internal).
 2015-08-07 13:50:15.689+00 | 6900844f       | Failed to plug disk bc2_rlx1012_u11 to VM rlx2012 (User: admin@internal).
 2015-08-07 13:52:52.412+00 | 62f6bb7e       | Failed to attach Disk bc2_rlx1012_u11_2 to VM rlx2012 (User: admin@internal).
 2015-08-07 14:01:14.355+00 | 59507b5f       | Failed to plug disk bc2_rlx1012_u11 to VM rlx2012 (User: admin@internal).
 2015-08-10 14:59:01.41+00  | 4ef957bd       | Failed to plug disk bc2_rlx1012_u11 to VM rlx2012 (User: admin@internal).

Also occurring via REST API:
Error:
Attaching BC2_APP_PAP2_u01_2 to rlx2020                                                                                                                                                                         
Error while attaching disk                                                                                                                                                                                      
Exception: ^M                                                                                                                                                                                                   
status: 400^M                                                                                                                                                                                                   
reason: Bad Request^M                                                                                                                                                                                           
detail: Failed to hot-plug disk

Version-Release number of selected component (if applicable):
RHEV 3.5.3

How reproducible:
Unknown, issue is intermittent in this environment. This has occurred a few times on different servers in the cluster.

Steps to Reproduce:
1.
2.
3.

Actual results:
Disk fails to attach due to a "Bad Request" 

Expected results:
Disk attaches without issue

Additional info:
Data coming in a future update
Comment 2 Allon Mureinik 2015-08-23 04:42:48 EDT
Amit, can you take a look please?
Comment 3 Amit Aviram 2015-08-23 04:52:10 EDT
Hi Robert.
Can you please attach the relevant log files of VDSM & Engine?
Comment 4 Amit Aviram 2015-08-23 07:55:30 EDT
Missed the links- Please disregard the needinfo.
Comment 5 Amit Aviram 2015-08-27 10:49:19 EDT
Robert, I am not able to download this file: 

http://mcswizzle.usersys.redhat.com/pub/case/01490040/sosreport-LogCollector-20150810093838__7a2d1802-e543-4633-9726-821de0f4895c__.tar.xz

(tried multiple times, with a browser/wget)

I believe that this is the one that contains the engine logs. Will it be possible for you to attach only the engine logs?
Comment 6 Sandro Bonazzola 2015-10-26 08:44:07 EDT
this is an automated message. oVirt 3.6.0 RC3 has been released and GA is targeted to next week, Nov 4th 2015.
Please review this bug and if not a blocker, please postpone to a later release.
All bugs not postponed on GA release will be automatically re-targeted to

- 3.6.1 if severity >= high
- 4.0 if severity < high
Comment 7 Yaniv Lavi (Dary) 2015-10-29 05:59:03 EDT
We have made a lot of improvements in hotplug\unplug in RHEV 3.5.6. Please reopen if you can provide more info or you can recreate on 3.5.6.

Note You need to log in before you can comment on or make changes to this bug.